;;;
;;;		PowerLisp 2.0
;;;		Copyright  1996 Roger Corman.  All rights reserved.
;;;		68k PowerLisp library compiler script
;;;
;;
;;	This file compiles all the standard libraries
;;

;; if assembler not loaded, load the correct one
(if (not (member :assembler *modules*))
	(if cl::%powerpc-native
		(load ":library:assembler_ppc.lisp")
		(load ":library:assembler_68k.lisp")))

;; if compiler not loaded, load the correct one
(if (not (member :compiler *modules*))
	(if cl::%powerpc-native
		(load ":library:compiler_ppc.lisp")
		(load ":library:compiler_68k.lisp")))

(compile-file 
	":library:assembler_68k.lisp" 
	:output-file ":library:assembler.fasl"
	:print t)
(load ":library:assembler.fasl")

(compile-file 
	":library:compiler_68k.lisp" 
	:output-file ":library:compiler.fasl"
	:print t)
(load ":library:compiler.fasl")

(compile-file 
	":library:cl.lisp" 
	:output-file ":library:cl.fasl"
	:print t)
(load ":library:cl.fasl")

(compile-file 
	":library:backquote.lisp" 
	:output-file ":library:backquote.fasl"
	:print t)
(load ":library:backquote.fasl")

(compile-file 
	":library:setf.lisp" 
	:output-file ":library:setf.fasl"
	:print t)

(compile-file 
	":library:defpackage.lisp" 
	:output-file ":library:defpackage.fasl"
	:print t)

(compile-file 
	":library:structures.lisp" 
	:output-file ":library:structures.fasl"
	:print t)

(compile-file 
	":library:format.lisp" 
	:output-file ":library:format.fasl"
	:print t)

(load ":library:random.lisp")
(compile-file 
	":library:random.lisp" 
	:output-file ":library:random.fasl"
	:print t)

(compile-file 
	":library:describe.lisp" 
	:output-file ":library:describe.fasl"
	:print t)

(compile-file 
	":library:documentation.lisp" 
	:output-file ":library:documentation.fasl"
	:print t)

(load ":library:clos.lisp")
(compile-file 
	":library:clos.lisp" 
	:output-file ":library:clos.fasl"
	:print t)

(load ":library:loop.lisp")
(compile-file 
	":library:loop.lisp" 
	:output-file ":library:loop.fasl"
	:print t)

(compile-file 
	":library:graphics.lisp" 
	:output-file ":library:graphics.fasl"
	:print t)






















