;;;
;;;		PowerLisp 2.0
;;;		Copyright  1996 Roger Corman.  All rights reserved.
;;;
;
;		Lisp standard functions and macros to be loaded at startup.
;

(defun copyright ()
	"Copyright  1995 Roger Corman. All rights reserved.")

(make-package :compiler)

;; this is only needed to load the standard library,
;; which then rolls this functionality into 'load'.
(defun load-binary (filename)
	(let*
		((loaded 0)
		 (stream (open filename :direction :input))
		 (*package* *package*)			;; bind these to themselves
		 (*readtable* *readtable*)
		 (*standard-output* *standard-output*))
		 
		(do* ((expr t) (symbol-table (make-array 500)))
			((null expr)(close stream) loaded)
			(setq expr (%read-code-from-stream stream symbol-table))
			(if expr
				(let ((result (funcall expr)))
					(setq loaded (+ 1 loaded)))))))

(if cl::%powerpc-native 
	(setq *cl-compiled-library* ":library:cl.ppcl")
	(setq *cl-compiled-library* ":library:cl.fasl"))

(if (probe-file *cl-compiled-library*)
	(progn 
		(load-binary *cl-compiled-library*)
		(print "Standard Library (binary) loaded."))
	(if (probe-file ":library:cl.lisp")
		(progn
			(load ":library:cl.lisp")
			(print "Standard Library loaded."))
		(print "Could not find Standard Library.")))















